Summary:	A modern, C++-native, test framework for unit-tests, TDD and BDD
Summary(pl.UTF-8):	Nowoczesny, natywny dla C++ szkielet dla testów jednostkowych, TDD i BDD
Name:		catch2
Version:	3.8.1
Release:	1
License:	Boost v1.0
Group:		Libraries
#Source0Download: https://github.com/catchorg/Catch2/releases
Source0:	https://github.com/catchorg/Catch2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	26689984e0a30ff78b94488c1f849f1f
URL:		https://github.com/catchorg/Catch2
BuildRequires:	cmake >= 3.16
# C++14
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Catch2 is mainly a unit testing framework for C++, but it also
provides basic micro-benchmarking features, and simple BDD macros.

%description -l pl.UTF-8
Catch2 to przeznaczony dla C++ szkielet testów przede wszystkim
jednostkowych, ale zapewniający też funkcjonalność mikro-benchmarków i
proste makra BDD.

%package devel
Summary:	Header files for catch2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki catch2
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:5

%description devel
Header files for catch2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki catch2.

%prep
%setup -q -n Catch2-%{version}

%build
%cmake -B build \
	-DPKGCONFIG_INSTALL_DIR:PATH="%{_pkgconfigdir}" \
	-DCATCH_INSTALL_DOCS:BOOL=OFF \
	-DCATCH_ENABLE_REPRODUCIBLE_BUILD:BOOL=OFF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md
%attr(755,root,root) %{_libdir}/libCatch2.so.%{version}
%attr(755,root,root) %{_libdir}/libCatch2Main.so.%{version}

%files devel
%defattr(644,root,root,755)
%{_libdir}/libCatch2.so
%{_libdir}/libCatch2Main.so
%{_libdir}/cmake/Catch2
%{_includedir}/catch2
%{_pkgconfigdir}/catch2.pc
%{_pkgconfigdir}/catch2-with-main.pc
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/catch2.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 7cfd3af
- updated to 3.8.1

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> a49eb6c
- pl

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 7a9bf6d
- use patch -P

* Thu Dec 28 2023 Jan Palus <atler@pld-linux.org> 4590f9c
- upstream patch to fix debugsource package creation

* Wed Dec 27 2023 Jan Palus <atler@pld-linux.org> 357e675
- new

